const { gql } = require('apollo-server-express');

module.exports = gql`

    type Departement {
        id: ID!
        nomComplet: String!
        phoneNumber: String!
        email: String
        adresse: String
        medecinTraitant: Boolean
        medecinReferent: Boolean
        correspodant: Boolean
        lienFamiliaux: Boolean
        patient: Patient!
        createdAt: DateTime
        updatedAt: DateTime
        deleteAt: DateTime
    }

    extend type Query {
        findAllContact: (patientId: String!): Contact!
    }

    extend type Mutation {
        createContact(input: inputContact!): Contact!
    }

    type inputContact {
        patientId: String!
        nomComplet: String!
        phoneNumber: String!
        email: String
        adresse: String
        medecinTraitant: Boolean
        medecinReferent: Boolean
        correspodant: Boolean
        lienFamiliaux: Boolean
    }

`;